<?php
/**
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
require( YOURBASEPATH.DS."menu_styleswitcher.php");
require( YOURBASEPATH.DS."menu_styles.php");

JHTML::_( 'behavior.mootools' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
	<jdoc:include type="head" />
	<?php
	global $leftcolumn_width, $rightcolumn_width;
	$live_site        = $mainframe->getCfg('live_site');
	$menu_name        = $this->params->get("menuName", "mainmenu");
	$menu_type        = $this->params->get("menuType", "moomenu");
	$menu_side        = $this->params->get("menuSide", "left");
	$leftinset_width  = $this->params->get("leftinsetWidth", "285");
	$rightinset_width = $this->params->get("rightinsetWidth", "175");
		
	// moomenu options
	$moo_bgiframe     = ($this->params->get("moo_bgiframe'","0") == 0)?"false":"true";
	$moo_delay        = $this->params->get("moo_delay", "500");
	$moo_duration     = $this->params->get("moo_duration", "400");
	$moo_fps          = $this->params->get("moo_fps", "100");
	$moo_transition   = $this->params->get("moo_transition", "Expo.easeOut");	

	// counting modul
	$leftinset_width = ($this->countModules('user2')>0 and !$editmode) ? $leftinset_width : "0";
	$rightinset_width = ($this->countModules('inset')>0 and !$editmode) ? $rightinset_width : "0";
	$row2mod_count = ($this->countModules('left')>0) + ($this->countModules('user1')>0) + ($this->countModules('right')>0);
	$row2mod_width = $row2mod_count > 0 ? ' w' . floor(99 / $row2mod_count) : '';
	$row3mod_count = ($this->countModules('user2')>0) + ($this->countModules('user3')>0) + ($this->countModules('inset')>0);
	$row3mod_width = $row3mod_count > 0 ? ' w' . floor(99 / $row3mod_count) : '';
	$template_path = $this->baseurl . "/templates/" . $this->template;
	


	require(YOURBASEPATH .DS."menu_styleloader.php");

	// menu code
	$document	= &JFactory::getDocument();
	$renderer	= $document->loadRenderer( 'module' );
	$options	 = array( 'style' => "raw" );
	$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
	$mainnav = false; $subnav = false;
	if($mtype == "splitmenu") : 
		$module->params	= "menutype=$menu_name\nstartLevel=0\nendLevel=1";
		$mainnav = $renderer->render( $module, $options );
		$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
		$module->params	= "menutype=$menu_name\nstartLevel=1\nendLevel=9";
		$options	 = array( 'style' => "submenu");
		$subnav = $renderer->render( $module, $options );
	elseif($mtype == "moomenu" or $mtype == "suckerfish") : 								      	
		$module->params	= "menutype=$menu_name\nshowAllChildren=1\nclass_sfx=top";
		$mainnav = $renderer->render( $module, $options );
	endif;

	// make sure subnav is empty
	if (strlen($subnav) < 10) $subnav = false;

	?>
	
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/moomenu.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/style.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
	#block-left { width:<?php echo $leftinset_width; ?>px;padding:0;}
	#block-right { width:<?php echo $rightinset_width; ?>px;padding:0;}
	#maincontent-block { margin-right:<?php echo $rightinset_width; ?>px;margin-left:<?php echo $leftinset_width; ?>px;padding:0;}
	</style>	

	<!--[if lte IE 7]>
	<style type="text/css">
    #toptools {margin: 5px 0 1px 0; padding:6px 10px;}
    #search input.button{line-height:0;}
    #register, #login {right:-10px;}

	</style>
	<![endif]-->
    
	<!--[if lte IE 6]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ieonly.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
    	*{ behavior: url(<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/iepngfix.htc); } 
        margin: 5px 0 1px -20px; 
	</style>
	<![endif]-->
	
	<?php if($mtype=="moomenu") :?>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/mootools.bgiframe.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/toptool.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/menu_moomenu.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/sameheight.js"></script>
	<script type="text/javascript">
		window.addEvent('domready', function() {
			new Rokmoomenu($E('ul.menutop'), {
				bgiframe: <?php echo $moo_bgiframe; ?>,
				delay: <?php echo $moo_delay; ?>,
				animate: {
					props: ['opacity', 'width', 'height'],
					opts: {
						duration:<?php echo $moo_duration; ?>,
						fps: <?php echo $moo_fps; ?>,
						transition: Fx.Transitions.<?php echo $moo_transition; ?>
				}
			}
		});
		});
	</script>
	<?php endif; ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/<?php echo $this->params->get('fontFamily'); ?>.css" type="text/css" />

	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/2fonts.js"></script>
	<script type="text/javascript">
		window.addEvent('domready', function() {
			var modules = ['module','moduletable', 'moduletable_menu', 'block-right'];
			var header = "h3";
			RokBuildSpans(modules, header);
		});
	</script>
</head>

<body>
	<div id="container">
    	<div id="wrapper">
        	<div id="header">
            	<?php if ($this->params->get('logoType')=='image'){ ?>
				<div id="logo">
        			<a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Your Company" title="Your Company" border="0" width="151" height="27" /></a>
        		</div>
				<?php } else{ ?>
    			<div id="logo">
					<h1 class="logo-module"><a href="index.php" title="<?php echo $this->params->get('siteName'); ?>"><span><?php echo $this->params->get('siteName'); ?></span></a></h1>
						<span class="site_slogan"><?php echo $this->params->get('sloganText'); ?></span>
        		</div>
				<?php } ?>
                <?php if ($this->countModules('search')) : ?>
                	<div id="search" style="float:left;">
                		<jdoc:include type="modules" name="search" style="xhtml" />
                	</div>
                <?php endif; ?>
                 <?php if ($this->countModules('login')) : ?>
                	 <div id="toptools">
	         			<jdoc:include type="modules" name="login" />
					</div>
                <?php endif; ?>
			</div>
             <!--start navigation-->
        		<div id="navigation_box">
        			<div id="main-menu">
            			<?php echo $mainnav; ?>
            			<div id="vert-menu">
                			<?php echo $subnav; ?>
            			</div>
        			</div>
                    <div id="top-menu">
                    	<jdoc:include type="modules" name="user4" style="xhtml" />
                    </div>
				</div>
                <!--navigation end-->
            	<?php if ($this->countModules('slideshow') or $this->countModules('top') or $this->countModules('bottom')) : ?>
                <div id="row1">
                	<div id="slideshow">
                    	<jdoc:include type="modules" name="slideshow" style="xhtml"/>
                    </div>
                    <div id="row1-rightcol">
                    	<jdoc:include type="modules" name="top" style="xhtml"/>
                    	<jdoc:include type="modules" name="bottom" style="xhtml"/>
                    </div>
                <div class="clr"></div>
                </div>
                <div id="row1-bottom"></div><?php endif; ?>
                
                <!-- start row2-->
               <?php if ($this->countModules('left') or $this->countModules('user1') or $this->countModules('right')) : ?>
                <div id="row2-top"></div>
                <div id="row2" class="spacer<?php echo $row2mod_width; ?>">
                <div class="pad1">
				<?php if ($this->countModules('left')) : ?>
					<div class="block">
						<jdoc:include type="modules" name="left" style="xhtml" />
					</div>
				<?php endif; ?>
				<?php if ($this->countModules('user1')) : ?>
					<div class="block">
						 <jdoc:include type="modules" name="user1" style="xhtml" />
					</div>
				<?php endif; ?>
                <?php if ($this->countModules('right')) : ?>
					<div class="block">
						 <jdoc:include type="modules" name="right" style="xhtml" />
					</div>
				<?php endif; ?>
                </div>
				<div class="clr"></div>
                </div>
                <div id="row2-bottom"></div><?php endif; ?>
                <!-- end of row2-->
                
                       
                <!-- start row3-->
                
                <div id="row2-top"></div>
                <div id="row2" class="spacer<?php echo $row3mod_width; ?>">
						<div class="pad2">
							<?php if ($this->countModules('inset') and !$editmode) : ?>
								<div id="block-right"><div class="right-padding">
									<jdoc:include type="modules" name="inset" style="xhtml" />
								</div>
                         </div>
							<?php endif; ?>
							<?php if ($this->countModules('user2') and !$editmode) : ?>
								<div id="block-left">
                                	<div class="left-padding">
										<jdoc:include type="modules" name="user2" style="xhtml" />
									</div>
                                </div>
							<?php endif; ?>
								<div id="maincontent-block">
                                                             		 <?php if ($this->countModules('user3')) : ?>
									 <jdoc:include type="modules" name="user3" style="xhtml" />
									 <?php endif; ?>
                                	<div id="mainbody">
										<jdoc:include type="message" />
											<?php if (!($frontpage_component == 'hide' and JRequest::getVar('view') == 'frontpage')): ?>
												<jdoc:include type="component" />
											<?php endif; ?>
                                     </div>
  
								</div>
                          </div>
					<div class="clr"></div>
                </div>
                <div id="row2-bottom"></div>
         
                <!-- end of row2-->
                
              
                      
                 <!-- footer and bottom navigation-->     
                 <div id="bottom-navigation">
                	 <jdoc:include type="modules" name="footer-menu" style="xhtml" />
                 </div>          
                <div id="footer">
                <?php if ($this->params->get('logoType')=='image'){ ?>
				<div id="logo">
        			<a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Your Company" title="Your Company" border="0" width="151" height="27" /></a>
        		</div>
				<?php } else{ ?>
    			<div id="logo">
					<h1 class="logo-module"><a href="index.php" title="<?php echo $this->params->get('siteName'); ?>"><span><?php echo $this->params->get('siteName'); ?></span></a></h1>
						<span class="site_slogan"><?php echo $this->params->get('sloganText'); ?></span>
        		</div>
				<?php } ?>
                <?php if ($this->countModules('search')) : ?>
                	<div id="search" style="float:right;">
                		<jdoc:include type="modules" name="search" style="xhtml" />
                	</div>
                <?php endif; ?>
                </div>
                <div class="copyright" style="display:<?php echo $this->params->get('footerDisplay'); ?>;">                                                                                                                                                                                                                                                                                                                                                              
                <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                                                                                                          <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                <?php } ?>                    </div>
        </div>
 	</div>
    
</body>
</html>